Bug 207297 - sip includes its own qmake files (not sure if they're right)
sip includes its own qmake files (not sure if they're right)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sip (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 11:28 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-28 17:51:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-09-20 11:28:33 EDT
sip seems to include it own copies of qt's qmake(.conf) bits, but they seem
generic wrong in some places.  

Wouldn't it make sense to use qt's known-good versions?  If so, include
something like this snippet in sip's specfile (before actually building it, of
course):

unset QTDIR || : ; source /etc/profile.d/qt.sh
for target in default linux-g++ linux-g++-32 linux-g++-64 ; do
test -f $QTDIR/mkspecs/$target/qmake.conf -a -f specs/$target && \
 ln -sf $QTDIR/mkspecs/$target/qmake.conf       specs/$target
done
Comment 1 Ngo Than 2006-09-28 17:51:24 EDT
The qmake config files are ok for using. It does not hurt to use the qmake 
files from qt-devel.

It's now fixed in sip-4.4.5-3. Thanks for your report

Note You need to log in before you can comment on or make changes to this bug.